Keith
Isdale

    k_isdale@tpg.com.au

# Miscellenous Tools

Several tools are available via the tools menu the main tool is the inspector tool.

## Inspector Tool

The inspector tool is the contains all the individual dialogs for working with:

- Breakpoints

- Templates

- Variables

- Callstack entries

- Source files

- &XML; Enties

## Execute by Walking

By clicking on Start execution with walking menu a dialog is shown to allow the walk speed to be chosen.

The Walk Window
The Walk Window

To stop walking either use the W key or select the Start execution with walking menu item.

## Lookup &XML; Entities

To lookup a System ID in the current &XML; catalog use the Lookup System ID menu then enter the value to find the the dialog that displays.

The System ID Window
The System ID Window

To lookup a PUBLIC ID use the Lookup Public ID menu entry then enter the value to find the the dialog that displays.

The Public ID Window
The Public ID Window